DHBasicAgreement (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.agreement

## Class DHBasicAgreement

- java.lang.Object
- - org.bouncycastle.crypto.agreement.DHBasicAgreement

- All Implemented Interfaces:
    BasicAgreement

      public class DHBasicAgreement
      extends java.lang.Object
      implements BasicAgreement

  a Diffie-Hellman key agreement class.

  note: This is only the basic algorithm, it doesn't take advantage of long term public keys if they are available. See the DHAgreement class for a "better" implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DHBasicAgreement()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger` | `calculateAgreement(CipherParameters pubKey)` given a short term public key from a given party calculate the next message in the agreement sequence.
    `int` | `getFieldSize()` return the field size for the agreement algorithm in bytes.
    `void` | `init(CipherParameters param)` initialise the agreement engine.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DHBasicAgreement

          public DHBasicAgreement()

  - ### Method Detail

    - #### init

          public void init(CipherParameters param)

      Description copied from interface: `BasicAgreement`
      initialise the agreement engine.
      Specified by:
        `init` in interface `BasicAgreement`

    - #### getFieldSize

          public int getFieldSize()

      Description copied from interface: `BasicAgreement`
      return the field size for the agreement algorithm in bytes.
      Specified by:
        `getFieldSize` in interface `BasicAgreement`

    - #### calculateAgreement

          public java.math.BigInteger calculateAgreement(CipherParameters pubKey)

      given a short term public key from a given party calculate the next message in the agreement sequence.
      Specified by:
        `calculateAgreement` in interface `BasicAgreement`